Subject: [EDUC] Re: [ofset] Re: Experiences avec Etoys
From: Hilaire Fernandes <[email-masked]>
To: [email-masked]
Cc: [email-masked], Educ <[email-masked]>, Educ <[email-masked]>
Date: Sun, 30 Oct 2011 14:17:36 +0100
List-Id: <educ.april.org>

Salut Charlie,

Tu nous places là dans une vision d'ensemble intéressante et louable,
qui si elle nous éloigne du poste du message initial, n'est pas sans me
rappeler la vision qu'il y a derrière DrGeoII : à savoir proposer un
environnement (le terme studio serait plus approprié) qui permet de
faire de la géométrie interactive classique puis de monter en puissance
avec d'adjonction de script puis l'écriture d'une figure géométrique
interactive entièrement à l'aide d'un programme. Quelques collègues prof
de math on fait des merveilles et ils explores des pistes fort éloignées
de la seule géométrie.

Hilaire

Le 30/10/2011 12:37, [email-masked] a écrit :
> ----- "Hilaire Fernandes" <[email-masked]> a écrit :
>
>> Bonjour à toutes et à tous,
>>
>> Connaissez vous Etoys, http://www.squeakland.org ?
>> Certaines ou certains d'entre vous l'ont-ils pratiqué avec leurs
>> enfants
>> ou leurs élèves ?
>>
>> Rita Freudenberg qui coordonne sa promotion pédagogique, me demandait
>> des informations sur son usage en France.
>>
>> Hilaire Fernandes
>>
>> PS :
>> Quelques pages de ressources
>> http://community.ofset.org/index.php/Etoys
> Bonjour,
>
> J'y réfléchis.
>
> En réalité de cherche une communauté de professeurs de technologie
> ayant le désir d'adapter les actuels programmes de Technologie,
> notamment ceux de quatrième et de troisième (notamment Domotique,
> Robotique) à la programmation informatique.
>
> Mon objectif, disons le clairement, est de réfléchir à un futur
> programme d'informatique en collège par :
>
> - l'introduction d'une option  Informatique et sciences du numérique,
> (à l'instar des actuelles options DP3, découverte des métiers)
> sous l'égide de la future Inspection Générale d'Informatique) de 2h ou 
> 3h semaine sur les niveaux quatrième et/ou troisième;
>
> - la réintroduction d'horaires fléchés dédiés aux notions d'informatique
> dans la discipline Technologique.
>
> Pour ce faire, il importe d'articuler :
>
> a) les notions fondamentales de la "science informatique" (définies entre 
> autre par l'ouvrage édité par le CRDP de Paris) adaptées à un niveau collège 
>
> avec
>
> b) les actuels programmes de Technologie, notamment ceux de quatrième
> et de troisième basés sur la domotique et la robotique.
>
> Dans ce dispositif la technologie ouverte Arduino occupe une place centrale.
>
> Mon souci du moment réside dans le choix d'un langage.
>
> Les expériences avec Etoys décrites sur la page d'OFSET semblent
> intéressantes :
> http://blog.ofset.org/hilaire/index.php?post/2009/10/22/Kit-de-d%C3%A9marrage-Arduino
>
> D'autres pistes existent également :
> http://fr.flossmanuals.net/arduino/index
>
> Mais je ne voudrais surtout pas rester cloisonné dans un langage
> purement graphique, ni à l'IDE d'Arduino. 
>
> Il faudrait que les principes purement informatiques acquis ne soient
> pas purement limités à la domotique et/ou à la robotique mais puissent
> être transférables dans tous les autres domaines.
>
> La plupart des avis penchent pour Python.
>
> L'idéal serait de présenter le même montage avec des différents
> langages pour comparer (en termes d'accessibilité aux élèves de collège,
> mais également en termes de notions informatiques de base).
>
> Je reste plus que jamais persuadé que la seule promotion des logiciels
> libres à l'école ne peut se limiter aux seuls usages de logiciels.
> Pour que le grand public, et notamment les élèves, puissent réellement
> comprendre ce qu'est un logiciel libre, ils doivent sur de petits
> exercices simples pratiquer l'écriture d'un code source, une compilation
> et observer l'application.
>
> L'idéal serait donc d'aborder quelques éléments de langage de programmation
> écrit et graphiques sur de mêmes montages.
>
> Librement,
> Charlie
>
>
>
>
>
>
> - 
>

--
Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ